Use describe to name the revision.
authorJunio C Hamano <junkio@cox.net>
Mon, 9 Jan 2006 01:18:32 +0000 (17:18 -0800)
committerJunio C Hamano <junkio@cox.net>
Mon, 9 Jan 2006 01:18:32 +0000 (17:18 -0800)
dodoc.sh

index 82f3493..8202a60 100755 (executable)
--- a/dodoc.sh
+++ b/dodoc.sh
@@ -36,7 +36,9 @@ test "$DOCREPO" != "" &&
 cd "$DOCREPO" || exit $?
 
 git pull "$MASTERREPO" master &&
-test $(git-rev-parse --verify refs/heads/master) == "$ID" ||  exit $?
+test $(git-rev-parse --verify refs/heads/master) == "$ID" &&
+NID=$(git-describe --abbrev=4 "$ID") &&
+test '' != "$NID" ||  exit $?
 
 # Set up subrepositories
 test -d doc-htmlpages || (
@@ -76,7 +78,7 @@ fi || exit $?
 
 cd ../doc-htmlpages &&
     git add . &&
-    if git commit -a -m "Autogenerated HTML docs for $ID"
+    if git commit -a -m "Autogenerated HTML docs for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/html || {
            echo "* HTML failure"
@@ -92,7 +94,7 @@ make man1="$DOCREPO/doc-manpages/man1" man7="$DOCREPO/doc-manpages/man7" \
 
 cd ../doc-manpages &&
     git add . &&
-    if git commit -a -m "Autogenerated man pages for $ID"
+    if git commit -a -m "Autogenerated man pages for $NID"
     then
        git-send-pack "$MASTERREPO" master:refs/heads/man || {
            echo "* man failure"